{% macro display_status_icon(status, size) %}
<!-- Display an icon based on the given status -->
<span class="d-inline-block float-left">
    {% if status == "SUCCESS" %}
    <i class="fa-solid fa-circle-check" style="font-size: {{ size }}px; color: var(--bs-success);"></i>
    {% elif status == "WARNING" %}
    <i class="fa-solid fa-triangle-exclamation" style="font-size: {{ size }}px; color: var(--bs-warning);"></i>
    {% elif status == "ERROR" %}
    <i class="fa-solid fa-circle-exclamation" style="font-size: {{ size }}px; color: var(--bs-danger);"></i>
    {% else %}
    UKNOWN STATUS ({{ status }}?)
    {% endif %}
</span>
{% endmacro %}